Subject: Re: [v6ops] Interest in energy consumption of IPv6 smartphones (vs. IPv4)

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 8 Jul 2016 14:36:28 +0200

Le 03/06/2016 à 04:17, Mark Andrews a écrit :
>
> While reducing power consumtion is a good thing, we will be wasting
> peoples time to compare IPv6 vs IPv4 power consumption.  Don't we
> have better things to do than to waste peoples time on the academic
> exercise which will produce nothing useful.

Measuring is useful only if it compares against something.  We think
comparing against IPv4 consumption has a meaning.

We advance towards producing something supposedly useful about measuring
energy consumption of IPv6 vs IPv4 apps on smartphones on WiFi and 4G.

If it proves unuseful we will report that as well.

Alex

> Mark

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 8 Jul 2016 14:45:59 +0200

Fred,

Managing power may involve Management Information Base (MIB) which may 
be expressed as a YANG model.  We have just submitted an Internet Draft 
"YANG model for battery MIB" in the closed eman WG:
https://tools.ietf.org/html/draft-petrescu-battery-mib-yang-00

In this model IPv6 does not appear explicitely, but there is a link:
YANG modelled MIBs may be queried by SDN tools which in turn may run on 
IPv6.  Our home-brewed SDN tool managing mobile platforms such as 
smartphones runs fully on IPv6: both data and control planes.  We 
consider JSON but also YANG.

Alex

Le 01/06/2016 à 18:13, Fred Baker (fred) a écrit :
> I personally would find that interesting. As you note, we recently
> posted an RFC about managing power by managing activity. Andrew
> Yourtchenko has been interested in the chattiness of IPv6
> implementations in WiFi, the issue being that it is a shared medium
> (not unlike an Ancient yellow Ethernet cable, and very unlike a
> switched network), so every hiccup reverberates throughout the
> network. I would expect that the issue affects mobile wireless in
> interesting ways. How chatty are we, and what needs to be adjusted?
>
> Do you have something to share?
>
>> On Jun 1, 2016, at 5:40 AM, Alexandre Petrescu
>> <[email-masked]> wrote:
>>
>> Hi v6ops,
>>
>> I wonder whether there may be interest in evaluating the energy
>> consumption of an IPv6 application on smartphones, compared to its
>> IPv4 counterpart.
>>
>> I suspect the difference may be negligible but I am not sure.
>>
>> It would be good to avoid a situation in which the end user prefers
>> IPv4 on the smartphone because IPv6 empties the battery.
>>
>> Alex
>>
>> Le 11/02/2016 à 20:12, [email-masked] a écrit :
>>> A new Request for Comments is now available in online RFC
>>> libraries.
>>>
>>> BCP 202 RFC 7772
>>>
>>> Title:      Reducing Energy Consumption of Router Advertisements
>>> Author:     A. Yourtchenko, L. Colitti Status:     Best Current
>>> Practice Stream:     IETF Date:       February 2016 Mailbox:
>>> [email-masked], [email-masked] Pages:      6 Characters:
>>> 12555 See Also:   BCP 202
>>>
>>> I-D Tag:
>>> draft-ietf-v6ops-reducing-ra-energy-consumption-03.txt
>>>
>>> URL:        https://www.rfc-editor.org/info/rfc7772
>>>
>>> DOI:        http://dx.doi.org/10.17487/RFC7772
>>>
>>> Frequent Router Advertisement messages can severely impact host
>>> power consumption.  This document recommends operational
>>> practices to avoid such impact.
>>>
>>> This document is a product of the IPv6 Operations Working Group
>>> of the IETF.
>>>
>>>
>>> BCP: This document specifies an Internet Best Current Practices
>>> for the Internet Community, and requests discussion and
>>> suggestions for improvements. Distribution of this memo is
>>> unlimited.
>>>
>>> This announcement is sent to the IETF-Announce and rfc-dist
>>> lists. To subscribe or unsubscribe, see
>>> https://www.ietf.org/mailman/listinfo/ietf-announce
>>> https://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>>>
>>> For searching the RFC series, see
>>> https://www.rfc-editor.org/search For downloading RFCs, see
>>> https://www.rfc-editor.org/retrieve/bulk
>>>
>>> Requests for special distribution should be addressed to either
>>> the author of the RFC in question, or to
>>> [email-masked].  Unless specifically noted otherwise
>>> on the RFC itself, all RFCs are for unlimited distribution.
>>>
>>>
>>> The RFC Editor Team Association Management Solutions, LLC
>>>
>>>
>>
>> _______________________________________________ v6ops mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/v6ops
>